#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 foldl
version:              1.4.17
visibility:           public
id:                   foldl-1.4.17-9hbHLUgXPWU3inC8K4yuQD
key:                  foldl-1.4.17-9hbHLUgXPWU3inC8K4yuQD
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  8ca17a1ca7a8afc92c2832491367fcaa
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.4.8/site-local/foldl-1.4.17
library-dirs:         /usr/lib/ghc-9.4.8/site-local/foldl-1.4.17
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/foldl-1.4.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.17-9hbHLUgXPWU3inC8K4yuQD
depends:
    base-4.17.2.1 bytestring-0.11.5.3
    comonad-5.0.9-3OfyuhkjbVOBhstQtOMX9w containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    hashable-1.4.4.0-HCcAO2fxJDDEJfuKpVflTS
    primitive-0.8.0.0-7npiYBJB1rbGeYpNSKu2QX
    profunctors-5.6.2-EusqY2gdU3dKhCNwHXd7bF
    random-1.2.1.2-3WH3fpxRON0BXsBQRmhDIT
    semigroupoids-6.0.1-2fC72s5SECHJ4KOFHL5Ne text-2.0.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-I6MqYi1ZitpKUe3ww5yyKM
    vector-0.13.1.0-2w7Kefz4Viy7lxr9yJSbMz

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

